Message Queue, v4.4 API Specification

## com.sun.messaging.jms.management.server
Class ClusterAttributes

    java.lang.Object
      com.sun.messaging.jms.management.server.ClusterAttributes

    public class ClusterAttributes

extends java.lang.Object

Class containing information on cluster attributes.

Field Summary
`static java.lang.String` `CLUSTER_ID` Cluster ID
`static java.lang.String` `CONFIG_FILE_URL` Cluster config file URL
`static java.lang.String` `HIGHLY_AVAILABLE` Is cluster highly available ?
`static java.lang.String` `LOCAL_BROKER_INFO` Local master broker info
`static java.lang.String` `MASTER_BROKER_INFO` Cluster master broker info

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONFIG_FILE_URL

    public static final java.lang.String CONFIG_FILE_URL

  Cluster config file URL

  See Also:
    Constant Field Values

### CLUSTER_ID

    public static final java.lang.String CLUSTER_ID

  Cluster ID

  See Also:
    Constant Field Values

### HIGHLY_AVAILABLE

    public static final java.lang.String HIGHLY_AVAILABLE

  Is cluster highly available ?

  See Also:
    Constant Field Values

### LOCAL_BROKER_INFO

    public static final java.lang.String LOCAL_BROKER_INFO

  Local master broker info

  See Also:
    Constant Field Values

### MASTER_BROKER_INFO

    public static final java.lang.String MASTER_BROKER_INFO

  Cluster master broker info

  See Also:
    Constant Field Values

Message Queue, v4.4 API Specification

Copyright 2009 Sun Microsystems, Inc.
4150 Network Circle, Santa Clara, CA 95054, U.S.A. All Rights Reserved.